net.sf.jasperreports.engine.data

## Class JRCsvDataSourceProvider

- java.lang.Object
- - net.sf.jasperreports.engine.data.JRCsvDataSourceProvider

- All Implemented Interfaces:
    JRDataSourceProvider

      public class JRCsvDataSourceProvider
      extends java.lang.Object
      implements JRDataSourceProvider

  Version:
    $Id: JRCsvDataSourceProvider.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Ionut Nedelcu (ionutned@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRCsvDataSourceProvider(java.io.File file)` Builds a datasource instance.
    `JRCsvDataSourceProvider(java.io.InputStream stream)`
    `JRCsvDataSourceProvider(java.io.Reader reader)` Builds a datasource instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRDataSource` | `create(JasperReport report)` Creates and returns a new instance of the provided data source.
    `void` | `dispose(JRDataSource dataSource)` Disposes the data source previously obtained using the `create` method.
    `java.lang.String[]` | `getColumnNames()`
    `java.text.DateFormat` | `getDateFormat()`
    `char` | `getFieldDelimiter()`
    `JRField[]` | `getFields(JasperReport report)` Returns the fields that are available from the data source.
    `java.text.NumberFormat` | `getNumberFormat()`
    `java.lang.String` | `getRecordDelimiter()`
    `void` | `setColumnNames(java.lang.String[] colNames)`
    `void` | `setDateFormat(java.text.DateFormat dateFormat)`
    `void` | `setFieldDelimiter(char fieldDelimiter)`
    `void` | `setNumberFormat(java.text.NumberFormat numberFormat)`
    `void` | `setRecordDelimiter(java.lang.String recordDelimiter)`
    `boolean` | `supportsGetFieldsOperation()` Returns true if the provider supports the `getFields` operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRCsvDataSourceProvider

          public JRCsvDataSourceProvider(java.io.InputStream stream)

      Parameters:
        `stream` - an input stream containing CSV data

    - #### JRCsvDataSourceProvider

          public JRCsvDataSourceProvider(java.io.File file)
                                  throws java.io.FileNotFoundException

      Builds a datasource instance.
      Parameters:
        `file` - a file containing CSV data
      Throws:
        `java.io.FileNotFoundException`

    - #### JRCsvDataSourceProvider

          public JRCsvDataSourceProvider(java.io.Reader reader)

      Builds a datasource instance.
      Parameters:
        `reader` - a `Reader` instance, for reading the stream

  - ### Method Detail

    - #### supportsGetFieldsOperation

          public boolean supportsGetFieldsOperation()

      Description copied from interface: `JRDataSourceProvider`
      Returns true if the provider supports the `getFields` operation. By returning true in this method the data source provider indicates that it is able to introspect the data source and discover the available fields.
      Specified by:
        `supportsGetFieldsOperation` in interface `JRDataSourceProvider`
      Returns:
        true if the getFields() operation is supported.

    - #### getFields

          public JRField[] getFields(JasperReport report)
                              throws JRException,
                                     java.lang.UnsupportedOperationException

      Description copied from interface: `JRDataSourceProvider`
      Returns the fields that are available from the data source. The provider can use the passed in report to extract some additional configuration information such as report properties.
      Specified by:
        `getFields` in interface `JRDataSourceProvider`
      Parameters:
        `report` - the report that will be filled using the data source created by this provider. The passed in report can be null. That means that no compiled report is available yet.
      Returns:
        a non null fields array. If there are no fields then an empty array must be returned.
      Throws:
        `JRException` - if an error occurs.
        `java.lang.UnsupportedOperationException` - is the method is not supported

    - #### create

          public JRDataSource create(JasperReport report)
                              throws JRException

      Description copied from interface: `JRDataSourceProvider`
      Creates and returns a new instance of the provided data source. The provider can use the passed in report to extract some additional configuration information such as report properties.
      Specified by:
        `create` in interface `JRDataSourceProvider`
      Parameters:
        `report` - the report that will be filled using the created data source.
      Throws:
        `JRException` - if the data source creation has failed

    - #### dispose

          public void dispose(JRDataSource dataSource)
                       throws JRException

      Description copied from interface: `JRDataSourceProvider`
      Disposes the data source previously obtained using the `create` method. This method must close any resources associated with the data source. For instance the database connection should be closed in case of the `JRResultSetDataSource`.
      Note: The provider must take care of the resource - data source association. For example in case of the `JRResultSetDataSource` a subclass of this data source can be created. This subclass will hold the database connection and the prepared statement that were used to obtain the ResultSet. On the time of the dispose these resources can be retrieved from the data source object and closed.
      Specified by:
        `dispose` in interface `JRDataSourceProvider`
      Parameters:
        `dataSource` - the data source to dispose
      Throws:
        `JRException` - if the data source could not be disposed

    - #### getColumnNames

          public java.lang.String[] getColumnNames()

    - #### setColumnNames

          public void setColumnNames(java.lang.String[] colNames)

    - #### getDateFormat

          public java.text.DateFormat getDateFormat()

    - #### setDateFormat

          public void setDateFormat(java.text.DateFormat dateFormat)

    - #### getFieldDelimiter

          public char getFieldDelimiter()

    - #### setFieldDelimiter

          public void setFieldDelimiter(char fieldDelimiter)

    - #### getRecordDelimiter

          public java.lang.String getRecordDelimiter()

    - #### setRecordDelimiter

          public void setRecordDelimiter(java.lang.String recordDelimiter)

    - #### getNumberFormat

          public java.text.NumberFormat getNumberFormat()

    - #### setNumberFormat

          public void setNumberFormat(java.text.NumberFormat numberFormat)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com